<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Spatie\Permission\Models\Permission as SpatiePermission;
use Illuminate\Database\Eloquent\Relations\HasMany;

class CustomSpatiePermission extends SpatiePermission
{
    public function serviceGroup(): BelongsTo
    {
        return $this->belongsTo(IprsNewServiceGroup::class, 'service_group_id');
    }
}
